# Build an env that allow to run the Foxit installer from the website. Install
# foxit to a temporary location from there and make a tarball out of the result.
# Add it with nix-prefetch-url file:///location/of/tarball and update the
# requireFile call in foxitreader.nix.
{ pkgs? import <nixpkgs> {} }:

pkgs.buildFHSUserEnv rec {
  name = "foxit-env";

  targetPkgs = pkgs: (with pkgs; [ glib libsecret openssl dbus freetype fontconfig stdenv.cc.cc stdenv.cc.cc.lib ] ++
                     (with qt5; [ qtwebkit qtbase qtxmlpatterns ]) ++
                     (with xlibs; [ libX11 libxcb ]));
}
